<ng-container *ngIf="parcel$|async as parcel">
  <div>
    <div class="mb-42">
      <svg width="196" height="196" viewBox="0 0 196 196" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path fill-rule="evenodd" clip-rule="evenodd"
              d="M93.9851 0H103.032V0.00850677L122.128 0.00850594V19.1064H122.127V47.2482H112.076V37.1951H103.031V28.1503H93.9851V18.0988H103.031V10.0515H93.9851V0ZM74.8787 19.1064H83.9241V37.1893H74.8787V65.3328V66.3388V93.4758V93.4772V111.583H46.7585V120.629H74.8787V130.667H83.9241V139.712H131.166V130.667H140.219V111.569H121.122V102.53H112.076V111.576H121.121V130.666H112.077V121.62H103.031V130.666H83.9251V120.629H92.9705V111.583H83.9251V93.4772H103.023V65.3328H83.9251V38.1949H93.9756V19.1064H93.9766V0.00850594L74.8787 0.00850677V19.1064ZM46.7456 19.1064H19.6064V46.2456H46.7456V19.1064ZM176.381 19.1064H149.241V46.2456H176.381V19.1064ZM19.6064 149.773H46.7456V176.912H19.6064V149.773ZM195.501 185.955H186.455V195.001H195.501V185.955ZM158.334 102.531H167.348V93.4841H176.395V102.531H167.381V120.614H177.4V139.712H167.381V158.809H176.394V149.772H185.44V158.818H176.395V167.855H195.492V176.901H167.381V195.005H158.334V139.712H140.228V130.666H158.334V102.531ZM195.501 74.3707H186.455V74.3777H177.409V83.4241H186.455V104.525H195.501V74.3707ZM149.241 148.765H158.288V185.956H149.241V185.955H140.229V195H131.182V185.954H140.228V176.908H149.241V176.901H130.183V167.855H149.241V158.818H103.022V167.856H83.9251V175.894H74.8787V166.847H83.9241V148.765H74.8787V139.719H83.9251V148.758H92.9695V139.719H112.067V148.765H103.022V148.767H149.241V148.765ZM112.076 65.3412H103.031V83.434H112.077V83.4241H149.241V92.4695H167.334V83.4231H158.313L158.313 74.3777L112.077 74.3777V65.3412H121.122V56.2948H112.076V65.3412ZM92.9695 46.2347H103.021V65.3327H92.9695V46.2347ZM74.8787 175.902V195H93.9766V175.902L74.8787 175.902ZM121.121 148.765V139.719H140.219V148.765H121.121ZM93.9851 185.954V195H103.032V185.954H93.9851ZM112.076 176.908V185.955H121.122V176.908H112.076ZM149.241 111.576V102.531H140.229H140.228H131.182V83.4326H140.229V92.479H158.321V102.531H158.288V111.576H149.241ZM186.455 130.666V139.712H195.501V130.666H186.455ZM0.5 120.629V111.583H9.54541H9.54639H37.6897L37.6897 120.629H9.54639H9.54541H0.5ZM28.6519 83.4316L28.6519 111.576H37.6982V102.531H65.8099V93.4841H37.6982V93.4772H46.7119L46.7119 83.4256H37.6655V83.4316H28.6519ZM0.5 111.576V102.53H9.54639V111.576H0.5ZM0.5 74.3792V93.4772H9.54639L9.54639 83.4241H28.6433V74.3777H9.54541V74.3792H0.5ZM46.7585 83.4241V74.3777H65.8565V83.4241H46.7585ZM177.409 120.629V111.583H186.456V120.629H177.409ZM10.5515 10.0515H55.7835V54.2784H10.5515V10.0515ZM0.5 0H10.5515H55.7835H65.8351V10.0515V54.2784V64.3299H55.7835H10.5515H0.5V54.2784V10.0515V0ZM185.466 10.0515H140.234V54.2784H185.466V10.0515ZM140.234 0H130.183V10.0515V54.2784V64.3299H140.234H185.466H195.518V54.2784V10.0515V0H185.466H140.234ZM10.5515 140.716H55.7835V184.943H10.5515V140.716ZM0.5 130.665H10.5515H55.7835H65.8351V140.716V184.943V194.994H55.7835H10.5515H0.5V184.943V140.716V130.665Z"
              fill="#3C0807"/>
      </svg>
    </div>

    <div class="mb-12">
      <div app-header-h2 color="orange-200">{{parcel.pickUpDetails!.pin}}</div>
      <div>Pin</div>
    </div>

    <div class="mb-24">
      <div app-header-h2 color="orange-200">{{parcel.receiver.phone}}</div>
      <div>Numer do odbioru</div>
    </div>
  </div>

  <button app-button-solid color="primary">Otwórz skrytkę</button>
</ng-container>
